Bug 54897 - (IDE SIS) 2.4.9-6 SiS730 IDE dma_intr errors
(IDE SIS) 2.4.9-6 SiS730 IDE dma_intr errors
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-10-22 16:30 EDT by Bob Ramstad
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
system log with 2.4.9-6 and 2.4.3-12 (48.93 KB, text/plain)
2001-10-22 16:42 EDT, Bob Ramstad
no flags Details

  None (edit)
Description Bob Ramstad 2001-10-22 16:30:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When running kernel 2.4.9-6 on a motherboard with SiS730 chipset, I 
repeatedly get IDE dma_intr errors like the following:

Oct 22 12:46:12 accessgroupinc kernel: hdc: dma_intr: status=0x51 { 
DriveReady SeekComplete Error }
Oct 22 12:46:12 accessgroupinc kernel: hdc: dma_intr: error=0x84 { 
DriveStatusError BadCRC }

This system has been stable and running 2.4.3-12 for a number of weeks.  I 
backed out to 2.4.3-12 and am no longer getting the error messages.

I should mention that looking at the system logs, the newer kernel version 
seems to identify the discs as UDMA100 while the older version identifies 
them simply as (U)DMA.

I should probably also mention that I have not seen any evidence of file 
corruption when running under either the old or new kernel.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install RedHat 7.1 on a system with IDE hard drives running SiS730 
2. Upgrade to kernel 2.4.9-6.
3. Watch the fur fly.

Additional info:

The RedHat Network is a neat idea, but I'm going to think twice before 
just blithely upgrading the kernel because it's so easy now.
Comment 1 Bob Ramstad 2001-10-22 16:42:08 EDT
Created attachment 34602 [details]
system log with 2.4.9-6 and 2.4.3-12
Comment 2 Bugzilla owner 2004-09-30 11:39:12 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.